cancel
Showing results for 
Search instead for 
Did you mean: 

Problem - PSP7.91 x RHEL 5

Fabio Segundo Bregonci
Occasional Contributor

Problem - PSP7.91 x RHEL 5

Hi Michael,

Everytime when I try to run the installation script "./install791.sh --nui" I get this error below and the installation aborted:

"./install791.sh: line 343: [:`)' expected, found -z
No supported bundle XML file found to use for this installation"

How do I resolve this?

Fabio
10 REPLIES
Michael Garner_1
Honored Contributor

Re: Problem - PSP7.91 x RHEL 5

Fabio,
There will be a new PSP 7.92 released in a day or so that will contain support for RHEL 5.1. Until this new release is out, you'll have to install the individual RPMs by hand from the PSP 7.91 if you are using RHEL 5.1 (formerly RHEL5 Update 1).

Regards,
Michael Garner
HP Linux PSP Developer
Bill_E
Occasional Advisor

Re: Problem - PSP7.91 x RHEL 5


I found that if you edit /etc/redhat-release and change 5.1 to 5 it will install. However, the net-snmpd package it installs doesn't work so you'll need to do 'yum install net-snmpd before installing the PSP.

Bill_E
Occasional Advisor

Re: Problem - PSP7.91 x RHEL 5

..and don't forget to change /etc/redhat-release back to 5.1 when your finished.

Fabio Segundo Bregonci
Occasional Contributor

Re: Problem - PSP7.91 x RHEL 5

Hi Bill,

I made the change in the file "redhat-release" and achieve install the PSP 7.91.

Thank you!
Bill_E
Occasional Advisor

Re: Problem - PSP7.91 x RHEL 5


Don't forget about snmpd, the version that is included with 7.91 doesn't work with 5.1 so you'll need to update that to the latest from RH.

Ben Hayes_1
Occasional Visitor

Re: Problem - PSP7.91 x RHEL 5

Has the new PSP been released I can't seem to find it?

Also I tried the 5.1\ 5.0 method although I still got the no bundled xml file error, is there anything else I need to do before\ after this?

Thanks

Ben
Bill_E
Occasional Advisor

Re: Problem - PSP7.91 x RHEL 5

Don't use 5.0, just make it 5

Bill_E
Occasional Advisor

Re: Problem - PSP7.91 x RHEL 5

Also, 7.92 isn't out yet so I'm not sure what the other post meant by in the next couple of days.
Mark_E
Occasional Visitor

Re: Problem - PSP7.91 x RHEL 5

I have installed PSP 7.91 on a HP DL360 (G5) installed with RHEL 5.1 using the '/etc/redhat-release modification method'. It all seemed to install OK.

When I installed RHEL 5.1 on my box, I installed every single package available and so had the following 'net-snmpd' already installed before the PSP 7.91 install :

net-snmpd-5.3.1-19.el5
net-snmpd-libs-5.3.1-19.el5

After the PSP 7.91 install and a reboot, I noticed that the 'snmpd' failed to start in the RHEL5.1 startup screen i.e 'snmpd [FAILED]'. Once the machine had finished booting, a '/etc/rc.d/init.d/snmpd status' command showed that 'snmpd' was running however.

When I logged into the HP Management web page most of it was not there and there were timeout errors in the HP Management Homepage log.

I had a look around and found the following configuration files :

/var/hp/snmpd.conf.orig
/etc/snmpd.conf

The difference between the two files is as follows (these lined were added to '/etc/snmpd.conf' by the PSP 7.91 install) :

dlmod cmaX /usr/lib/libcmaX.so
rwcommunity HBZjM4BtJU 127.0.0.1

I cannot perform a 'yum' update as was mentioned in this thread, as not connected to the internet, but since I already had 'net-snmpd' installed I shouldn't need to. I know that PSP 7.91 did not install another verson of 'net-snmpd'. All it seemed to do was modify the '/etc/snmpd.conf' file and maybe added '/usr/lib/libcmaX.so' etc..

So, with the HP Management Homepage not 'really' working I performed the following and rebooted (after making backup copies of everthing) just to see what would happen :

cp /var/hp/snmpd.conf.orig /etc/snmpd.conf

On reboot, I still got the 'snmpd [FAILED]' but when I logged into the HP Management Homepage more of it was working but not all.

(A '/etc/rc.d/init.d/snmpd status' command showed that 'snmpd' was running as before.)

For example, none of the fields in the 'Subsystem' web page display were populated.

Now, if HP released PSP 7.92 I'm sure all of these problems would go away but until then has anyone got any more info on actually getting the HP Management Homepage working with 'snmpd' on RHEL 5.1 ?

Mark
Mark_E
Occasional Visitor

Re: Problem - PSP7.91 x RHEL 5

Guess what,

PSP 7.92 has been released (with support for RHEL 5.1), but it depends on where you look :

The following link lists PSP 7.92 (with a date of 28-Nov-2007) :

http://h20000.www2.hp.com/bizsupport/TechSupport/SoftwareIndex.jsp?lang=en&cc=us&prodNameId=3288144&prodTypeId=15351&prodSeriesId=1121486&swLang=8&taskId=135&swEnvOID=4006

The following link only lists PSP 7.91 :

http://h18023.www1.hp.com/support/files/server/us/locate/1145_6215.html#15

I have always used the second "style" of link for my Proliant updates. Now I will use the first "style" as it seems to be the one that is up to date.

Mark